Bug 493584 - Error in postinstall scriptlet here-document
Error in postinstall scriptlet here-document
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: memtest86+ (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Paulo Roma Cavalcanti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-02 07:13 EDT by Mads Kiilerich
Modified: 2009-05-18 22:06 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.11-9.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 00:10:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Kiilerich 2009-04-02 07:13:58 EDT
Description of problem:

Error in postinstall scriptlet:

  Updating       : memtest86+
/var/tmp/rpm-tmp.73Vbvd: line 9: warning: here-document at line 1 delimited by end-of-file (wanted `EOF')

   ************************************************
   * REMINDER: Please update your /etc/grub.conf  *
   * file and add the memtest86+ boot entry,      *
   * by running /usr/sbin/memtest-setup as root.  *
   ************************************************

   EOF

The EOF marker should not be indented.

AFAIK that kind of messages should not be shown when an RPM is installed.

The unconditional sed'ing in the preuninstall scriptlet also looks dangerous.


Version-Release number of selected component (if applicable):

memtest86+-2.11-5.fc11.i586
Comment 1 Paulo Roma Cavalcanti 2009-04-02 08:56:38 EDT
You are right. 

I will remove the message and let the user
add or remove memtest86+ entries from grub.conf.

Thanks.
Comment 2 Mads Kiilerich 2009-04-02 14:33:13 EDT
I think the best solution would be if it was handled by grubby _exactly_ the same way as kernel installation/upgrades is handled. It looks like new-memtest-pkg is a fork from new-kernel-pkg with minimal changes?
Comment 3 Paulo Roma Cavalcanti 2009-04-02 16:15:34 EDT
Grubby does all the work and only inserts arguments at the end of the line,
and we need "--type=netbsd" exactly as below:

kernel --type=netbsd /memtest86+-2.11

If one rebuilds the memtest86+ .src.rpm using "--with update_grub",
then the entry will be inserted and deleted from grub.conf, but using "sed",
for the argument.
Comment 4 Mads Kiilerich 2009-04-02 20:58:01 EDT
Paulo, it is obvious that you have considered it carefully. As a random user I can only add some opinions and random user feedback:

I am sure the grubby maintainers would like to support your package better (they should!) so that sed'ing isn't needed.

Linux kernels are automatically added to grub.conf when they are installed. If memtest86+ uses the same method as the linux kernel packages then I see no reason why it shouldn't do the same. And when the the package is updated then it should unconditionally update its entry in grub.conf.

But this is chatting and has nothing to do with the issue trached here ;-)

Thanks and roger and out from me.
Comment 5 Paulo Roma Cavalcanti 2009-04-03 08:16:00 EDT
Please, check bug # 493681

If grubby is improved, then it will be easy
to handle memtest86+ needs.
Comment 6 Fedora Update System 2009-04-03 08:20:32 EDT
memtest86+-2.11-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/memtest86+-2.11-6.fc10
Comment 7 Fedora Update System 2009-04-03 08:20:47 EDT
memtest86+-2.11-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/memtest86+-2.11-6.fc9
Comment 8 Fedora Update System 2009-04-12 07:29:17 EDT
memtest86+-2.11-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/memtest86+-2.11-7.fc10
Comment 9 Fedora Update System 2009-04-12 07:29:36 EDT
memtest86+-2.11-7.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/memtest86+-2.11-7.fc9
Comment 10 Fedora Update System 2009-04-13 15:33:02 EDT
memtest86+-2.11-7.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memtest86+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3511
Comment 11 Fedora Update System 2009-04-13 15:34:50 EDT
memtest86+-2.11-7.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update memtest86+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3526
Comment 12 Fedora Update System 2009-04-27 17:27:37 EDT
memtest86+-2.11-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update memtest86+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3526
Comment 13 Fedora Update System 2009-04-27 17:28:46 EDT
memtest86+-2.11-9.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update memtest86+'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3511
Comment 14 Fedora Update System 2009-05-12 00:09:44 EDT
memtest86+-2.11-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-05-18 22:05:43 EDT
memtest86+-2.11-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.